---
title: AuthRedirectContext
description: Used by the following filters to indicate that a login redirect is pending:
component: pinggateway
version: 2026
page_id: pinggateway:reference:AuthRedirectContext
canonical_url: https://docs.pingidentity.com/pinggateway/2026/reference/AuthRedirectContext.html
revdate: 2025-06-02T18:01:47Z
section_ids:
  AuthRedirectContext-properties: Properties
  AuthRedirectContext-moreinfo: More information
---

# AuthRedirectContext

Used by the following filters to indicate that a login redirect is pending:

* [FragmentFilter](FragmentFilter.html)

* [DataPreservationFilter](DataPreservationFilter.html)

This context isn't intended for use in scripts or extensions.

For a single request there must be at most one instance of AuthRedirectContext in the context hierarchy. Confirm for the presence of an AuthRedirectContext before adding a new instance or adding query parameters to an existing instance.

The context is named `AuthRedirectAwareContext`, and is accessible at `${contexts.AuthRedirectContext}`.

## Properties

* `"impendingIgRedirectNotified"`: *boolean*

  Returns `true` if a PingGateway redirect attempt is pending. Otherwise, returns `false`.

* `"notifyImpendingIgRedirectAndUpdateUri"`: *URI*

  Notifies that a PingGateway redirection has been attempted, and returns an updated URI as follows:

  * If no query parameters are added to the context, return the original URI.

  * If query parameters are added to the context, apply them to the URI and return an updated URI.

  * If the added query parameters have the same name as existing query parameters, replace the existing parameters and return an updated URI.

  For example, a request to `example.com/profile` triggers a login redirect to `example.com/login`. After authentication, the request is expected to be redirected to the original URI, `example.com/profile`.

* `"addQueryParameter"`: *[java.lang.String](https://docs.oracle.com/en/java/javase/25/docs/api/java.base/java/lang/String.html)*

  Adds a query parameter to the context, for use by `notifyImpendingIgRedirectAndUpdateUri`.

## More information

[org.forgerock.openig.filter.AuthRedirectContext](../_attachments/apidocs/org/forgerock/openig/filter/AuthRedirectContext.html)
